

#ifndef _LINE_IN_H_
#define _LINE_IN_H_

/*所有硬线输入的索引*/
typedef enum
{
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	
	//LINE_IN_DifferentialLock = 0, 		//I_MCU_轴间差速锁工作（-）_预留
	//LINE_IN_BatteryCharge,	     		//I_MCU_蓄电池充放电（-）_预留       
	LINE_IN_CabLock,				/*驾驶室锁止*/
	LINE_IN_LowDCFlt,				/*低压DCDC故障*/
	LINE_IN_Driver_SafeBelt,			/*主安全带*/
	
	//LINE_IN_Parking_Brake, 			/*驻车制动*/
	//LINE_IN_ChargeWakeup,	 		 /*I_MCU_充电唤醒_预留*/
	LINE_IN_BrakeLiquid, 			/*制动液位低报警灯*/	
	//LINE_IN_BrakeShoeWear,	 		 /*蹄片磨损警告*/
	LINE_IN_Passenger_SafeBelt,	 	/*副安全带*/	     //预留
	
	//LINE_IN_SteerLiquid,	  		/*转向液位低*/
	LINE_IN_Middle_SafeBelt, 		/*中间座位安全带报警*/  
	//LINE_IN_Emptyfilter_Block,   		/*空滤阻塞*/
	//LINE_IN_Wheel_DifferentialLock,     /*I_MCU_轮间差速锁工作（-）_预留*/

	LINE_IN_MAX,
} LineInChannel;

//推荐值10ms
extern void Line_In_Debounce_Service(void);
/*1表示硬线有效，0硬线无效*/
extern INT8U Line_In_Get_Status(LineInChannel Channel);
extern void Line_In_KL30_Init(void);
extern void Line_In_KL15_ON_Init(void);
extern void Line_In_KL15_OFF_Init(void);
extern void Line_In_Wakeup_Init(void);
extern void Line_In_Sleep_Init(void);

#endif